org.richfaces.renderkit.html

## Class AjaxOnlyScript

- java.lang.Object
- - org.ajax4jsf.javascript.ScriptStringBase
  - - org.ajax4jsf.javascript.JSFunctionDefinition
    - - org.richfaces.renderkit.html.ValidatorScriptBase
      - - org.richfaces.renderkit.html.AjaxOnlyScript

- All Implemented Interfaces:
    FunctionDefWithDependencies, ScriptString, ScriptWithDependencies, ComponentValidatorScript, ResourceLibrary

      public class AjaxOnlyScript
      extends ValidatorScriptBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Iterable<ResourceKey>` | `AJAX_LIBRARIES`

    - ### Fields inherited from class org.richfaces.renderkit.html.ValidatorScriptBase

      `AJAX, AJAX_REF, CLIENT_ID, CLIENT_ID_REF, CONVERTER, CONVERTER_REF, CSV_NAMESPACE, DISABLE_AJAX, DISABLE_AJAX_REF, ELEMENT, ELEMENT_REF, EOL, EVENT, EVENT_REF, GET_VALUE_FUNCTION, MESSAGE, MESSAGE_REF, NULL_CONVERTER_SCRIPT, PARAMS, PARAMS_REF, SOURCE_ID, SOURCE_ID_REF, VALIDATE_FUNCTION, VALIDATE_FUNCTION_NAME, VALIDATORS, VALIDATORS_REF, VALUE_FUNCTION_NAME`

    - ### Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase

      `COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxOnlyScript(String ajaxScript)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendBody(Appendable target)`
    `boolean` | `equals(Object obj)`
    `Iterable<ResourceKey>` | `getResources()` Returns a list of resources contained in this resource library
    `int` | `hashCode()`

    - ### Methods inherited from class org.richfaces.renderkit.html.ValidatorScriptBase

      `appendAjaxFunction, appendAjaxParameter, appendParameters, appendValidatorCall, createCallScript`

    - ### Methods inherited from class org.ajax4jsf.javascript.JSFunctionDefinition

      `addParameter, addToBody, appendFunctionName, appendScript, getName, setName`

    - ### Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase

      `appendScriptToStringBuilder, toScript, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.javascript.FunctionDefWithDependencies

      `getName`

    - ### Methods inherited from interface org.ajax4jsf.javascript.ScriptString

      `appendScript, appendScriptToStringBuilder, toScript`

- - ### Field Detail

    - #### AJAX_LIBRARIES

          public static final Iterable<ResourceKey> AJAX_LIBRARIES

  - ### Constructor Detail

    - #### AjaxOnlyScript

          public AjaxOnlyScript(String ajaxScript)

  - ### Method Detail

    - #### getResources

          public Iterable<ResourceKey> getResources()

      Description copied from interface: `ResourceLibrary`

      Returns a list of resources contained in this resource library

      The result does not have to be stable; i.e. the returned list of resources may differ for each execution based on context, configuration, time, etc.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### appendBody

          protected void appendBody(Appendable target)
                             throws IOException

      Overrides:
        `appendBody` in class `ValidatorScriptBase`
      Throws:
        `IOException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.